注册 登录  
 加关注
   显示下一条  |  关闭
温馨提示!由于新浪微博认证机制调整,您的新浪微博帐号绑定已过期,请重新绑定!立即重新绑定新浪微博》  |  关闭

栖客技术札记

栖客王近东,山东泰安人。本杂记主要收录工作、学习、生活中遇到的问题及解决方法。

 
 
 

日志

 
 
关于我

主要收录在技术学习和技术应用方面的文章,有原创、有引用、有转载,学以致用,欢迎浏览。(我的教育类文章发布在http://wjd.blog.edu.cn上)

网易考拉推荐

NET Framework无法重新安装  

2012-04-19 17:32:22|  分类: Net&Server |  标签: |举报 |字号 订阅

  下载LOFTER 我的照片书  |
要求在原来的IIS服务器上重新安装DotnetV2.0,不过卸载后直接安装提示错误:

产品: Microsoft .NET Framework 2.0 -- Setup cannot continue because this version of the .NET Framework is incompatible with a previously installed one.  For more information, see http://support.microsoft.com/support/kb/articles/q312/5/00.asp


是由于之前没有卸载干净导致重新安装不上去,网上搜索了下找到了一个比较稳妥的解决办法.

请首先备份注册表,然后尝试删除注册表中的HKEY_LOCAL_MACHINE/SOFTWARE/Microsoft/.NETFramework/policy下面的v2.0分支,
HKEY_LOCAL_MACHINE/SOFTWARE/Microsoft/.NETFramework/下面的v2.0 SP1分支
HKEY_LOCAL_MACHINE/SOFTWARE/Microsoft/.NETFramework/下面的v2.0.50727分支
如果HKEY_LOCAL_MACHINE/SOFTWARE/Microsoft/.NETFramework/下面还有v3.0和WPF的部分分支,也试着删除掉。
这样应该就可以让.NET 2.0或者2.0 SP1的安装包认为当前系统还没有安装过2.0,那么应该可以顺利的安装2.0或者2.0 SP1。
  评论这张
 
阅读(651)| 评论(0)
推荐 转载

历史上的今天

在LOFTER的更多文章

评论

<#--最新日志,群博日志--> <#--推荐日志--> <#--引用记录--> <#--博主推荐--> <#--随机阅读--> <#--首页推荐--> <#--历史上的今天--> <#--被推荐日志--> <#--上一篇,下一篇--> <#-- 热度 --> <#-- 网易新闻广告 --> <#--右边模块结构--> <#--评论模块结构--> <#--引用模块结构--> <#--博主发起的投票-->
 
 
 
 
 
 
 
 
 
 
 
 
 
 

页脚

网易公司版权所有 ©1997-2017